Skip to main content
Accessibility Resource Center Skip to main content
Have a phone you love? Get up to $500 when you bring your phone.
cancel
Showing results for 
Search instead for 
Did you mean: 
when i tried to sync my new iphone Plus 6s it says it cannot be used because it requires a newer version of itunes
xyzxe
Member

when i tried to sync my new iphone plus6s to my computer it said my iphone cannot be used because it requires a newer version of itunes?

Labels (1)
0 Likes
Re: when i tried to sync my new iphone Plus 6s it says it cannot be used because it requires a newer version of itunes
mama23dogs
Sr. Leader

You can update the computer/iTunes first.   Then the phone.

0 Likes